﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19xB/C Final Cal Steps RS-232 /5520+S6
DATE:                  2018-04-03 08:16:50
AUTHOR:                Fluke
REVISION:              $Revision: 23242 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       362
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DT, DFM, DAC, VY
#
#  Models covered:
#        192B, 196B, 199B,
#        192C, 196C, 199C, 215C, 225C
#
#  Compatibility:
#        MET/CAL 8.1.4 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Final calibration.
  1.001  MATH         @CalStep = 654

  1.002  DO
  1.003  TARGET
  1.004  MATH         Step = FMT(@CalStep, "%04.0f")
  1.005  HEAD         -2 Cal Step: CL [V Step]

  1.006  IF           @CalStep == 654
  1.007  5520         *                                                 S
# First cal step is CL 654. (Subsequent Cal Step are returned from UUT.)
  1.008  HEAD         INPUT A LF-HF GAIN ADJUSTMENT
  1.009  MATH         CalWaitTime = 3

  1.010  ELSEIF       @CalStep == 400
  1.011  5520         *                                                 S
  1.012  PIC          19x_a_input_55_scope.jpg
# @Picture is picture to show at error.
  1.013  MATH         @Picture = "19x_a_input_55_scope.jpg"
  1.014  5520         0.5Vpp                       1kH            ED S6 S  L

  1.015  ELSEIF       @CalStep == 704
  1.016  5520         *                                                 S

  1.017  ELSEIF       @CalStep == 420
  1.018  5520         0.5Vpp                       1kH            ED S6 S  L
  1.019  MATH         CalWaitTime = 85

  1.020  ELSEIF       @CalStep == 480
  1.021  5520         0.5Vpp                       50kH           LS S6 S  L
  1.022  MATH         CalWaitTime = 3

  1.023  ELSEIF       @CalStep == 481

  1.024  IF           @Bandwidth == 60E+6
  1.025  MATH         MEM = 91
  1.026  ELSEIF       @Bandwidth == 100E+6
  1.027  MATH         MEM = 141
  1.028  ELSE
  1.029  MATH         MEM = 221
  1.030  ENDIF

  1.031  5520         MH                           0.5Vpp         LS S6 S  L
  1.032  MATH         CalWaitTime = 5

  1.033  ELSEIF       @CalStep == 674
  1.034  5520         *                                                 S
  1.035  HEAD         INPUT B LF-HF GAIN ADJUSTMENT
  1.036  MATH         CalWaitTime = 3

  1.037  ELSEIF       @CalStep == 410
  1.038  5520         *                                                 S
  1.039  PIC          19x_b_input_55_scope.jpg
  1.040  MATH         @Picture = "19x_b_input_55_scope.jpg"
  1.041  5520         0.5Vpp                       1kH            ED S6 S  L

  1.042  ELSEIF       @CalStep == 724
  1.043  5520         *                                                 S

  1.044  ELSEIF       @CalStep == 421
  1.045  5520         0.5Vpp                       1kH            ED S6 S  L
  1.046  MATH         CalWaitTime = 85

  1.047  ELSEIF       @CalStep == 482
  1.048  5520         0.5Vpp                       50kH           LS S6 S  L
  1.049  MATH         CalWaitTime = 3

  1.050  ELSEIF       @CalStep == 483

  1.051  IF           @Bandwidth == 60E+6
  1.052  MATH         MEM = 91
  1.053  ELSEIF       @Bandwidth == 100E+6
  1.054  MATH         MEM = 141
  1.055  ELSE
  1.056  MATH         MEM = 221
  1.057  ENDIF

  1.058  5520         MH                           0.5Vpp         LS S6 S  L
  1.059  MATH         CalWaitTime = 5

  1.060  ELSEIF       @CalStep == 660
# Cal steps CL 0660 for firmware V03.00 and later.
  1.061  HEAD         INPUT A&B LF-HF GAIN

  1.062  IF           NOT(ZCMPI(@Picture, "19x_ab_input_55_scope.jpg"))
  1.063  5520         *                                                 S
  1.064  PIC          19x_ab_input_55_scope.jpg
  1.065  MATH         @Picture = "19x_ab_input_55_scope.jpg"
  1.066  ENDIF

  1.067  5520         0.3Vpp                       1kH            ZQ S6 S
  1.068  MATH         CalWaitTime = 8

  1.069  ELSEIF       @CalStep == 604
  1.070  HEAD         INPUT A&B LF-HF GAIN

  1.071  IF           NOT(ZCMPI(@Picture, "19x_ab_input_55_scope.jpg"))
  1.072  5520         *                                                 S
  1.073  PIC          19x_ab_input_55_scope.jpg
  1.074  MATH         @Picture = "19x_ab_input_55_scope"
  1.075  ENDIF

  1.076  5520         0.5Vpp                       1kH            ZQ S6 S
  1.077  MATH         CalWaitTime = 5

  1.078  ELSEIF       @CalStep == 637
  1.079  5520         *                                                 S
  1.080  MATH         CalWaitTime = 5

  1.081  ELSEIF       @CalStep == 504
  1.082  5520         0.5Vpp                       1kH            ZQ S6 S
  1.083  MATH         CalWaitTime = 30

  1.084  ELSEIF       @CalStep == 624
  1.085  5520         *                                                 S
  1.086  MATH         CalWaitTime = 20

  1.087  ELSEIF       @CalStep == 599
# Step CL 0599 for firmware V5.03 and later.
  1.088  5520         10mVpp                       1kH            ZQ S6 S
  1.089  MATH         CalWaitTime = 10

  1.090  ELSEIF       @CalStep == 600
  1.091  5520         25mVpp                       1kH            ZQ S6 S
  1.092  MATH         CalWaitTime = 5

  1.093  ELSEIF       @CalStep == 601
  1.094  5520         50mVpp                       1kH            ZQ S6 S

  1.095  ELSEIF       @CalStep == 602
  1.096  5520         100mVpp                      1kH            ZQ S6 S

  1.097  ELSEIF       @CalStep == 603
  1.098  5520         250mVpp                      1kH            ZQ S6 S

  1.099  ELSEIF       @CalStep == 662
  1.100  5520         2Vpp                         1kH            ZQ S6 S

  1.101  ELSEIF       @CalStep == 605
  1.102  5520         1Vpp                         1kH            ZQ S6 S

  1.103  ELSEIF       @CalStep == 606
  1.104  5520         2.5Vpp                       1kH            ZQ S6 S

  1.105  ELSEIF       @CalStep == 607
  1.106  5520         5Vpp                         1kH            ZQ S6 S

  1.107  ELSEIF       @CalStep == 664
  1.108  5520         20Vpp                        1kH            ZQ S6 S

  1.109  ELSEIF       @CalStep == 608
  1.110  5520         10Vpp                        1kH            ZQ S6 S

  1.111  ELSEIF       @CalStep == 609
  1.112  5520         25Vpp                        1kH            ZQ S6 S

  1.113  ELSEIF       @CalStep == 610
  1.114  5520         50Vpp                        1kH            ZQ S6 S

  1.115  ELSEIF       @CalStep == 620
  1.116  5520         *                                                 S
  1.117  HEAD         INPUT A&B POSITION ADJUSTMENT
# Step CL 0620 for firmware V5.01 and V5.02.
  1.118  MATH         CalWaitTime = 55

  1.119  ELSEIF       @CalStep == 619
  1.120  5520         *                                                 S
  1.121  HEAD         INPUT A&B POSITION
# Step CL 0619 for firmware V5.03 and later.
  1.122  MATH         CalWaitTime = 55

  1.123  ELSEIF       @CalStep == 824
  1.124  5520         *                                                 S
  1.125  HEAD         INPUT A&B VOLT GAIN ADJUSTMENT
  1.126  PIC          19x_ab_input_55.jpg
  1.127  MATH         @Picture = "19x_ab_input_55.jpg"
  1.128  5520         250mV                                             S  2W
  1.129  MATH         CalWaitTime = 40

  1.130  ELSEIF       @CalStep == 799
# CL 0799 only for firmware V05.03 and later.
  1.131  5520         5mV                                               S  2W
  1.132  MATH         CalWaitTime = 5

  1.133  ELSEIF       @CalStep == 800
  1.134  5520         12.5mV                                            S  2W
  1.135  MATH         CalWaitTime = 5

  1.136  ELSEIF       @CalStep == 801
  1.137  5520         25mV                                              S  2W

  1.138  ELSEIF       @CalStep == 802
  1.139  5520         50mV                                              S  2W

  1.140  ELSEIF       @CalStep == 803
  1.141  5520         125mV                                             S  2W

  1.142  ELSEIF       @CalStep == 804
# Cal step CL 0804 only for 19xB/19xC/2x5C.
  1.143  5520         250mV                                             S  2W

  1.144  ELSEIF       @CalStep == 805
  1.145  5520         500mV                                             S  2W

  1.146  ELSEIF       @CalStep == 806
  1.147  5520         1.25V                                             S  2W

  1.148  ELSEIF       @CalStep == 807
  1.149  5520         2.5V                                              S  2W

  1.150  ELSEIF       @CalStep == 808
  1.151  5520         5V                                                S  2W

  1.152  ELSEIF       @CalStep == 809
  1.153  5520         12.5V                                             S  2W

  1.154  ELSEIF       @CalStep == 810
  1.155  5520         25V                                               S  2W

  1.156  ELSEIF       @CalStep == 811
  1.157  5520         50V                                               S  2W

  1.158  ELSEIF       @CalStep == 812
  1.159  5520         125V                                              S  2W

  1.160  ELSEIF       @CalStep == 813
  1.161  5520         250V                                              S  2W

  1.162  ELSEIF       @CalStep == 840
  1.163  5520         *                                                 S
  1.164  HEAD         DMM VOLT GAIN ADJUSTMENT
  1.165  PIC          19x_meter_input_2w_55.jpg
  1.166  MATH         @Picture = "19x_meter_input_2w_55.jpg"
  1.167  5520         500mV                                             S  2W
  1.168  MATH         CalWaitTime = 8

  1.169  ELSEIF       @CalStep == 849
  1.170  5520         2.5V                                              S  2W
  1.171  MATH         CalWaitTime = 5

  1.172  ELSEIF       @CalStep == 841
  1.173  5520         5V                                                S  2W

  1.174  ELSEIF       @CalStep == 842
  1.175  5520         50V                                               S  2W

  1.176  ELSEIF       @CalStep == 843
  1.177  5520         500V                                              S  2W

  1.178  ELSEIF       @CalStep == 844
  1.179  5520         1000V                                             S  2W

  1.180  ELSEIF       @CalStep == 852
  1.181  5520         *                                                 S
  1.182  HEAD         INPUT A&B, and DMM ZERO ADJUSTMENT
  1.183  PIC          19x_meter_input_short.jpg
  1.184  MATH         @Picture = "19x_meter_input_short.jpg"
# Wait 1 minute to cool down after application of 1000 V.
  1.185  WAIT         -t 60 UUT input divider thermal emfs dissipating...
  1.186  MATH         CalWaitTime = 390

  1.187  ELSEIF       @CalStep == 910
  1.188  5520         *                                                 S
  1.189  HEAD         GAIN OHM ADJUSTMENT
  1.190  PIC          19x_meter_input_4w_55.jpg
  1.191  MATH         @Picture = "19x_meter_input_4w_55.jpg"
  1.192  5520         100Z                                              S  CW
  1.193  MATH         CalWaitTime = 10

  1.194  ELSEIF       @CalStep == 911
  1.195  5520         1kZ                                               S  CW

  1.196  ELSEIF       @CalStep == 912
  1.197  5520         10kZ                                              S  CW

  1.198  ELSEIF       @CalStep == 913
  1.199  5520         100kZ                                             S  CW

  1.200  ELSEIF       @CalStep == 914
  1.201  5520         1MZ                                               S  2W

  1.202  ELSEIF       @CalStep == 915
  1.203  5520         10MZ                                              S  2W

  1.204  ELSEIF       @CalStep == 920
  1.205  5520         *                                                 S
  1.206  HEAD         CALCULATE GAIN
  1.207  MATH         CalWaitTime = 80

  1.208  ELSE
  1.209  DISP         Unexpected step [V @CalStep] is met! It maybe caused
  1.209  DISP         by unsupported firmware revision of UUT! Contact with
  1.209  DISP         Fluke MET/CAL Gold support.
  1.209  DISP
  1.209  DISP         Press Advance to terminate the procedure now.
  1.210  END
  1.211  ENDIF

  1.212  PORT         [CLR]CL [V @CalStep][13]
  1.213  WAIT         -t [V CalWaitTime] Calibration is in progress...
  1.214  CALL         Sub Fluke 19x Cal Adjust Error RS-232 /5520

  1.215  IF           @FatalError
  1.216  MATH         @CalStep = 654

  1.217  ELSEIF       NOT(@CalError)
  1.218  RSLT         = Cal Step: [V @CalStep] is done.
# If calibration succeeded in steps except last step, the subsequent cal step
# number is returned. Once the last step of calibration succeeded, the "0"
# will be returned.
  1.219  PORT         [I]

# Check the returned response, if it can be recognized as proper cal step
# number, update the variable @CalStep for next step doing.
  1.220  IF           MEM >= 400 || (MEM == 0 && @CalStep == 920)
  1.221  MATH         @CalStep = MEM
  1.222  ENDIF

  1.223  ENDIF        ; @FatalError

  1.224  UNTIL        @CalStep == 0

  1.225  HEAD         -2
  1.226  5520         *                                                 S
  1.227  END
